<<< Previous |  | Next >>>

# mail::ACCOUNT::getFolderFromString

## Name

mail::ACCOUNT::getFolderFromString -- Restore a folder object

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;
mail::folder *folder;
std::string savedFolder=folder->toString();
...

``mail::folder *f=mail->`getFolderFromString``(std::string `savedFolder`);`

## USAGE

This function is the `mail::ACCOUNT` equivalent of mail::account::folderFromString(3x). See the description of this function for more information.

## RETURN CODES AND CALLBACKS

This function returns a NULL pointer if it cannot allocate memory for the new `mail::folder` object.

NOTE:

`mail::folder`s are linked to their corresponding `mail::account`s. A `mail::folder` created by one `mail::account` may not be used with a different `mail::folder`. All `mail::folder`s created by a `mail::account` are invalidated when this `mail::account` object is destroyed. Note that the `mail::folder` objects are not automatically destroyed; the application is still responsible for destroying any remaining `mail::folder`s, after their a `mail::account` is destroyed.

## SEE ALSO

mail::account::folderFromString(3x).

<<< Previous | Home | Next >>>
mail::ACCOUNT::getFolderFromPath | Up | mail::ACCOUNT::getFolderKeywordInfo